<?php
/**
 * The template for displaying the header
 *
 * Displays all of the head element and everything up until the "site-content" div.
 *
 * @package WordPress
 * @subpackage Twenty_Sixteen
 * @since Twenty Sixteen 1.0
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="page" class="site">
	<div class="site-inner">
		<div id="content" class="site-content">
      <?php if (!is_front_page()): ?>
         <nav id="header-bar">
            <ul id="header-bar-list">
               <li><a href="/"><h1 id="header-bar-title">bengoldsworthy.uk</h1></a></li>
               <li class="mobile"><a href="/blog" class="hyperlink-button thin">Blog</a></li>
               <li class="mobile" style="line-height: 40px;">|</li>
               <li class="mobile mobile-only"><a href="/" class="hyperlink-button thin">Portfolios</a></li>
               <li><a href="/website" class="hyperlink-button thin">Websites</a></li>
               <li><a href="/program" class="hyperlink-button thin">Programs</a></li>
               <li><a href="/writing" class="hyperlink-button thin">Writings</a></li>
               <li><a href="/video" class="hyperlink-button thin">Video</a></li>
               <li><a href="/other" class="hyperlink-button thin">Other</a></li>
               <li style="line-height: 40px;">|</li>
               <li><a href="/award" class="hyperlink-button thin">Awards</a></li>
               <li><a href="/qualification" class="hyperlink-button thin">Qualifications</a></li>
               <li class="mobile" style="line-height: 40px;">|</li>
               <li class="mobile"><a href="/experience" class="hyperlink-button thin">Experience</a></li>
               <li><a href="/experience-by-companies" class="hyperlink-button thin">by companies</a></li>
            </ul>
         </nav>
      <?php endif; ?>