<?php
/**
 * The template for displaying pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that
 * other "pages" on your WordPress site will use a different template.
 *
 * @package WordPress
 * @subpackage Twenty_Sixteen
 * @since Twenty Sixteen 1.0
 */

get_header(); ?>

<script>
   var openingMessage = "This website is still a work-in-progress. Things may look janky or broken entirely, particularly in browsers that aren't Firefox. Sorry about that.";
   openingMessage += "\n\nFirefox: ✓ (should be)";
   openingMessage += "\nChrome, Opera, etc.: varies";
   openingMessage += "\nInternet Explorer: Unlikely until Microsoft make a real browser";
   
   alert(openingMessage);
</script>
<div id="content" class="site-content">
	<main id="main" class="site-main wrapper-home" role="main">
      <img id="main-background" src="<?php the_post_thumbnail_url(); ?>);">
   <?php while ( have_posts() ) : the_post(); ?>
      <header class="row" id="header-row">
         <div class="col-m-3">
            <div id="frontpage-img-wrapper">
               <img id="frontpage-img" src="<?php the_post_thumbnail_url(); ?>" alt="A picture of Ben Goldsworthy">
            </div>
         </div>
         <div class="page-header col-7 col-m-9">
            <h1 id="website-title">Ben Goldsworthy</h1>
            <h2 id="page-subtitle">
               ~ 
               <a href="mailto:me@bengoldsworthy.uk"><i class="fa fa-envelope"></i></a> ~ 
               <a href="bitcoin:1HApEg2robrRCx4rTKKeFj25unoaX65QUc"><i class="fa fa-btc"></i></a> ~ 
               <a href="https://uk.linkedin.com/in/rumperuu"><i class="fa fa-linkedin"></i></a> ~
               <a href="https://github.com/Rumperuu"><i class="fa fa-github"></i></a> ~
               <a href="/pub.asc"><i class="fa fa-key"></i> 0x30D22F41</a> 
               ~
            </h2>
         </div>
      </header>
      <div class="row">
         <div class="col-1" style="visibility: hidden;">.</div>
         <div class="col-5 tile" id="intro-text">
            <?php the_content(); ?>
         </div>
      </div>
   <?php endwhile; ?>
	</main><!-- .site-main -->

	<?php get_sidebar( 'content-bottom' ); ?>

</div><!-- .content-area -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
